XFETCH(1)

NAME
xfetch - fetch records from a local NCBI Entrez Direct archive by UID

SYNOPSIS
xfetch [-db database] [-id str...|-input file] [-stream]

DESCRIPTION
xfetch prints to standard output requested portions of a local NCBI Entrez Direct archive produced by archive-pubmed(1) or the like, typically for further processing by xtract(1) or the like.

By default, it looks to standard input for either a raw list of UIDs or an ENTREZ_DIRECT XML object that additionally holds a database name.

OPTIONS

-db database
    Fetch from the specified database, pubmed by default for now. (Explicitly specifying a database either on the command line or via ENTREZ_DIRECT XML will eventually become mandatory.)

-id str ...
    UID(s) to fetch; may be internally delimited by whitespace and any punctuation other than . or _.

-input file
    Read UIDs from the specified file.

-stream
    Leave records compressed.

ENVIRONMENT

EDIRECT_LOCAL_ARCHIVE
    Local archive directory. Expected to hold an absolute path; mandatory when not supplying a path on the command line.

SEE ALSO
archive-nihocc(1), archive-nlmnlp(1), archive-nmcds(1), archive-pids(1), archive-pmc(1), archive-pubmed(1), archive-taxonomy(1), cit2pmid(1), combine-uid-lists(1), difference-uid-lists(1), download-ncbi-data(1), download-pmc(1), download-pubmed(1), ds2pme(1), ds2pme(1), ecollect(1), edict(1), efetch(1), elink(1), esample(1), esearch(1), exclude-uid-lists(1), intersect-uid-lists(1), pm-refresh(1), pma2apa(1), pma2apa(1), pma2pme(1), pma2pme(1), pmc2bioc(1), pmc2info(1), rchive(1), transmute(1), xfilter(1), xinfo(1), xlink(1), xsearch(1), xtract(1).